Name:           saoimage
Version:        1.35.1
Release:        15%{?dist}
Summary:        Utility for displaying astronomical images

Group:          Amusements/Graphics
License:        LGPLv2+
URL:            http://tdc-www.harvard.edu/software/saoimage/
Source0:        http://tdc-www.harvard.edu/software/saoimage/%{name}-%{version}.tar.gz
Source1:        saoimage.desktop
Source2:        saoimage.xml
Source3:        saoimage.png
Patch0:         saoimage-1.35.1-decls.patch
Patch1:         saoimage-1.35.1-pad.patch
Patch2:         saoimage-1.35.1-mkstemp.patch
Patch3:         saoimage-1.35.1-inc.patch
Patch4:         saoimage-1.35.1-bpp.patch
# Submitted by e-mail to dmink@cfa.harvard.edu
Patch5:         saoimage-1.35.1-formatsec.patch

BuildRequires:  libX11-devel
BuildRequires:  /usr/bin/pdflatex
BuildRequires:  doxygen-latex
BuildRequires:  desktop-file-utils

%description
SAOimage (pronounced S-A-0-image) is a utility for displaying astronomical
images in the X11 window environment. It was written at the Smithsonian
Astrophysical Observatory by Mike Van Hilst in 1990 and is now maintained
by Doug Mink.

Image files can be read directly, or image data may be passed through a
named pipe (Unix) or a mailbox (VMS) from IRAF display tasks. SAOimage
provides a large selection of options for zooming, panning, scaling,
coloring, pixel readback, display blinking, and region specification.
User interactions are generally performed with the mouse. Mouse tracking in
an image's world coordinate system, usually sky coordinates, was added in
1994. You can also plot catalogs over images with WCS information in their
headers.

The SAOimage desktop includes, a main image display window, a button menu
panel, a display magnifier, a pan and zoom reference image, and a color bar.
A color table graph window can be brought up by clicking on the color bar.


%prep
%setup -q
%patch0 -p1 -b .decls
%patch1 -p1 -b .pad
%patch2 -p1 -b .mkstemp
%patch3 -p1 -b .inc
%patch4 -p1 -b .bpp
%patch5 -p1 -b .formatsec


%build
make OFLAGS="%{optflags}" %{?_smp_mflags} linux \
        IMTOOLRC=%{_sysconfdir}/imtoolrc

cd doc
# Build twice to generate TOC
pdflatex manual.tex; pdflatex manual.tex
pdflatex scale.tex


%install
install -d %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/mime/packages
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_mandir}/man1/

make -f makefile.linux install_saobin install_saoman    \
        ROOT=%{buildroot}                            \
        SAOBINDIR=%{buildroot}%{_bindir}/            \
        SAOMANDIR=%{buildroot}%{_mandir}/man1/

desktop-file-install %{SOURCE1}         \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
        --vendor=fedora \
%endif
        --dir=%{buildroot}%{_datadir}/applications

install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages
install -pm 0644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%files
%{_bindir}/saoimage
%{_datadir}/mime
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/saoimage.1*
%doc README NEWS COPYING
%doc doc/*.txt doc/*.pdf wcssubs-3.5.1/COPYING


%changelog
* Wed Dec 04 2013 Lubomir Rintel <lkundrak@v3.sk> - 1.35.1-15
- Fix build with -Werror=format-security

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 1.35.1-14
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.35.1-12
- Remove --vendor from desktop-file-install for F19+ https://fedorahosted.org/fesco/ticket/1077
- Refresh patches and switch patches against symlinks to be against their source files (Fixes FTBFS)
- New BRs for new latex

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 7 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-6
- Fix blink crash
- Fix print crash caused by mkstemp patch
- Add a lot of missing includes, making FORTIFY_SOURCE effective

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-5
- Fix the categories

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-3
- Fix a segfault with recent xlib and displays with depth > 16 bpp

* Sun Oct 26 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-2
- Incorporate suggestions by Mamoru Tasaka (#468517#c2)

* Mon Oct 20 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.35.1-1
- Initial packaging attempt
